"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Cosmic(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "geneName",
        "histologySubtype",
        "mutationId",
        "mutationSomaticStatus",
        "primaryHistology",
        "primarySite",
        "sampleSource",
        "siteSubtype",
        "tumourOrigin",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_1_2_0 import opencb as opencb_1_2_0

        return {
            "org.opencb.biodata.models.variant.avro.Cosmic": opencb_1_2_0.Cosmic,
        }

    __slots__ = [
        "geneName",
        "histologySubtype",
        "mutationId",
        "mutationSomaticStatus",
        "primaryHistology",
        "primarySite",
        "sampleSource",
        "siteSubtype",
        "tumourOrigin",
    ]

    def __init__(
        self,
        geneName,
        histologySubtype,
        mutationId,
        mutationSomaticStatus,
        primaryHistology,
        primarySite,
        sampleSource,
        siteSubtype,
        tumourOrigin,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_2_0.Cosmic model.

        :param geneName:
        :type geneName: str
        :param histologySubtype:
        :type histologySubtype: str
        :param mutationId:
        :type mutationId: str
        :param mutationSomaticStatus:
        :type mutationSomaticStatus: str
        :param primaryHistology:
        :type primaryHistology: str
        :param primarySite:
        :type primarySite: str
        :param sampleSource:
        :type sampleSource: str
        :param siteSubtype:
        :type siteSubtype: str
        :param tumourOrigin:
        :type tumourOrigin: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.0"
